<?php
   // Funktionen zur Datengenerierung
   // Benutzt von: lmo_spieltag.php

   function GetStData($ligaFile, &$arrHead, &$arrTeam, &$arrStat,
                      &$arrVerlauf, &$arrTabPlatz, $arrIntervall,
                      $anzTeamName, $nameMannschaft, $anzSpiele)
   {
      // Datei komplett einlesen
    	$arrFile       = file($ligaFile);
      $sizeOfArrFile = sizeof($arrFile);

      // Header-Array vorbelegen
      for ($i = 0; $i <= conHEAD_LAENGE; $i++)
      {
         $arrHead[$i] = 0;
      }
      $arrHead[conHEAD_FILE] = $ligaFile;
        // "Header" einlesen
    	for ($i = 0; $i < $sizeOfArrFile; $i++)
      {
         $arrFile[$i] = chop($arrFile[$i]);
    		if (GetStKey($arrFile[$i]) == "NAME")
         {
            $arrHead[conHEAD_NAME] = GetStValue($arrFile[$i]);
         }
    		if (GetStKey($arrFile[$i]) == "TYPE")
         {
            $arrHead[conHEAD_TYPE] = (int)GetStValue($arrFile[$i]);
         }
    		if (GetStKey($arrFile[$i]) == "TEAMS")
    		{
            $arrHead[conHEAD_TEAMS] = (int)GetStValue($arrFile[$i]);
         }
    		if (GetStKey($arrFile[$i]) == "ROUNDS")
    		{
            $arrHead[conHEAD_ROUNDS] = (int)GetStValue($arrFile[$i]);
         }
    		if (GetStKey($arrFile[$i]) == "MATCHES")
    		{
            $arrHead[conHEAD_MATCHES] = (int)GetStValue($arrFile[$i]);
         }
    		if (GetStKey($arrFile[$i]) == "ACTUAL")
    		{
            $arrHead[conHEAD_ACTUAL] = (int)GetStValue($arrFile[$i]);
         }
    		if (GetStKey($arrFile[$i]) == "KEGEL")
    		{
            $arrHead[conHEAD_KEGEL] = (int)GetStValue($arrFile[$i]);
         }
    		if (GetStKey($arrFile[$i]) == "POINTSFORWIN")
    		{
            $arrHead[conHEAD_PONTS_FOR_WIN] = (int)GetStValue($arrFile[$i]);
         }
    		if (GetStKey($arrFile[$i]) == "POINTSFORDRAW")
    		{
            $arrHead[conHEAD_PONTS_FOR_DRAW] = (int)GetStValue($arrFile[$i]);
         }
    		if (GetStKey($arrFile[$i]) == "POINTSFORLOST")
    		{
            $arrHead[conHEAD_PONTS_FOR_LOST] = (int)GetStValue($arrFile[$i]);
         }
    		if (GetStKey($arrFile[$i]) == "SPEZ")
    		{
            $arrHead[conHEAD_SPEZ] = (int)GetStValue($arrFile[$i]);
         }
    		if (GetStKey($arrFile[$i]) == "HIDEDRAW")
    		{
            $arrHead[conHEAD_HIDE_DRAW] = (int)GetStValue($arrFile[$i]);
         }
    		if (GetStKey($arrFile[$i]) == "XTRAS")
    		{
            $arrHead[conHEAD_XTRAS] = (int)GetStValue($arrFile[$i]);
         }
    		if (GetStKey($arrFile[$i]) == "XTRAU")
    		{
            $arrHead[conHEAD_XTRAU] = (int)GetStValue($arrFile[$i]);
         }
    		if (GetStKey($arrFile[$i]) == "XTRAV")
    		{
            $arrHead[conHEAD_XTRAV] = (int)GetStValue($arrFile[$i]);
         }
    		if (GetStKey($arrFile[$i]) == "SPEZS")
    		{
            $arrHead[conHEAD_SPEZS] = (int)GetStValue($arrFile[$i]);
         }
    		if (GetStKey($arrFile[$i]) == "SPEZU")
    		{
            $arrHead[conHEAD_SPEZU] = (int)GetStValue($arrFile[$i]);
         }
    		if (GetStKey($arrFile[$i]) == "SPEZV")
    		{
            $arrHead[conHEAD_SPEZV] = (int)GetStValue($arrFile[$i]);
         }
    		if (GetStKey($arrFile[$i]) == "MINUSPOINTS")
    		{
            $arrHead[conHEAD_MINUS_POINTS] = (int)GetStValue($arrFile[$i]);
         }
    		if (GetStKey($arrFile[$i]) == "DIRECT")
    		{
            $arrHead[conHEAD_DIRECT] = (int)GetStValue($arrFile[$i]);
         }
    		if (GetStKey($arrFile[$i]) == "CHAMP")
    		{
            $arrHead[conHEAD_CHAMP] = (int)GetStValue($arrFile[$i]);
         }
    		if (GetStKey($arrFile[$i]) == "CL")
    		{
            $arrHead[conHEAD_CL] = (int)GetStValue($arrFile[$i]);
         }
    		if (GetStKey($arrFile[$i]) == "CK")
    		{
            $arrHead[conHEAD_CK] = (int)GetStValue($arrFile[$i]);
         }
    		if (GetStKey($arrFile[$i]) == "UC")
    		{
            $arrHead[conHEAD_UC] = (int)GetStValue($arrFile[$i]);
         }
    		if (GetStKey($arrFile[$i]) == "AR")
    		{
            $arrHead[conHEAD_AR] = (int)GetStValue($arrFile[$i]);
         }
    		if (GetStKey($arrFile[$i]) == "AB")
    		{
            $arrHead[conHEAD_AB] = (int)GetStValue($arrFile[$i]);
         }
    		if (GetStKey($arrFile[$i]) == "NAMEPKT")
    		{
            $arrHead[conHEAD_NAME_PKT] = GetStValue($arrFile[$i]);
         }
    		if (GetStKey($arrFile[$i]) == "NAMETOR")
    		{
            $arrHead[conHEAD_NAME_TOR] = GetStValue($arrFile[$i]);
         }
         if (GetStKey($arrFile[$i]) == "FAVTEAM")
    		{
            $arrHead[conHEAD_FAV_TEAM] = (int)GetStValue($arrFile[$i]);
         }
         if ($arrFile[$i] == "[Teams]")
         {
            $i++;
            for ($j = 0; $j < $arrHead[conHEAD_TEAMS]; $j++)
            {
               $arrTeam[$j][0] = GetStValue($arrFile[$i++]);
            }
         }
         if ($arrFile[$i] == "[Teamk]")
         {
            $i++;
            for ($j = 0; $j < $arrHead[conHEAD_TEAMS]; $j++)
            {
               $arrTeam[$j][1] = GetStValue($arrFile[$i++]);
               $arrTeam[$j][2] = MakeStShortName($arrTeam[$j][0]);
            }
            break;
         }
      }

      // Einlesen der Sonstigen Mannschafts-Infos
      $start  = $i;
      $teamNr = -1;
      for ($i = 0; $i <= $arrHead[conHEAD_TEAMS]; $i++)
      {
/*
         for ($j = 0; $j <= conSTAT_HEADER; $j++)
         {
            $arrStatistik[$i][$j] = 0;
         }
         $arrStatistik[$i][conSTAT_SERIE] = "";
*/
      }
      for ($i = $start; $i < $sizeOfArrFile; $i++)
      {
         $arrFile[$i] = chop($arrFile[$i]);
         if (substr($arrFile[$i], 0, 5) == "[Team")
         {
            $i++;
            $teamNr++;
         }
         if (GetStKey($arrFile[$i]) == "SP")
    		{
//            $arrStatistik[$teamNr][conSTAT_PKT_STRAFE] = (int)GetStValue($arrFile[$i]);
            $i++;
    		}
         if (GetStKey($arrFile[$i]) == "SM")
    		{
//            $arrStatistik[$teamNr][conSTAT_PKT_STRAFE] = (int)GetStValue($arrFile[$i]);
            $i++;
    		}
         if (GetStKey($arrFile[$i]) == "URL")
    		{
//            $arrStatistik[$teamNr][conSTAT_MANN_URL] = chop(GetStValue($arrFile[$i]));
            $i++;
    		}
         if (GetStKey($arrFile[$i]) == "NOT")
    		{
//            $arrStatistik[$teamNr][conSTAT_MANN_NOTIZ] = chop(GetStValue($arrFile[$i]));
            $i++;
    		}
         if ($arrFile[$i] == "[Round1]")
    		{
            break;
    		}
      }
      $start  = $i;
      $spTag  = 0;
      // Schleife ber alle Spieltage
      for ($i = $start; $i < $sizeOfArrFile; $i++)
      {
         $arrFile[$i] = chop($arrFile[$i]);
         // Anfang Spieltag
         if (substr($arrFile[$i], 0, 6) == "[Round")
         {
            $heimID       = 0;
            $gastID       = 0;
            $heimTor      = 0;
            $gastTor      = 0;
            $i++;
            $spTag++;
         } // Ende if ... (Anfang Spieltag)

         // Keys einlesen
         if (GetStKey2($arrFile[$i]) == "TA")
    		{
            $heimID = (int)GetStValue($arrFile[$i]);
    		}
         if (GetStKey2($arrFile[$i]) == "TB")
    		{
            $gastID = (int)GetStValue($arrFile[$i]);
    		}
         if (GetStKey2($arrFile[$i]) == "GA")
    		{
            $heimTor = (int)GetStValue($arrFile[$i]);
    		}
         if (GetStKey2($arrFile[$i]) == "GB")
    		{
            $gastTor = (int)GetStValue($arrFile[$i]);
    		}
         if (GetStKey2($arrFile[$i]) == "ET")
    		{
            $sportGericht = (int)GetStValue($arrFile[$i]);
    		}
         if (GetStKey2($arrFile[$i]) == "SP")
    		{
            $spielEnde = (int)GetStValue($arrFile[$i]);
    		}
    		// Begenungsende
         if (GetStKey2($arrFile[$i]) == "AT")
         {
            $begegAT = -1;
            // Id's sind 0, wenn Mannschaft zurckgezogen wurde
            if ($heimID != 0 && $gastID != 0)
            {
               $begegAT = (int)GetStValue($arrFile[$i]);
               // Anspielzeit auf  00:00 setzen
               $begegEnde = mktime(0, 0, 0, date("m", $begegAT),
                                            date("d", $begegAT),
                                            date("Y", $begegAT));
               // Im Zeitintervall ?
               if (($begegEnde >= $arrIntervall[0]  &&
                    $begegEnde <= $arrIntervall[1]) &&
                   ($heimID == $arrHead[conHEAD_FAV_TEAM]  ||
                    $gastID == $arrHead[conHEAD_FAV_TEAM]) &&
                   ($anzSpiele == -1 ? $heimTor != -1 && $gastTor != -1 : 1))
               {
                  $favHeimGast = 0;
                  if (($heimID) == $arrHead[conHEAD_FAV_TEAM])
                  {
                     $favHeimGast = 1;
                  }
                  elseif (($gastID) == $arrHead[conHEAD_FAV_TEAM])
                  {
                     $favHeimGast = 2;
                  }
                  // 0: Anstozeit
                  // 1: Heim-Mannschaft
                  // 2: Gast-Mannschaft
                  // 3: Spieltag
                  // 4: Favorit (1 = Heim, 2 = Gast)
                  // 5: File-Name
                  // 6: Mannschaftsname
                  // 7: HeimTore
                  // 8: GastTore
                  // 9: Tag der Begegnung mit Uhrzeit 00:00
                  $arrStat[] = array($begegAT,
                                   $arrTeam[$heimID - 1][$anzTeamName],
                                   $arrTeam[$gastID - 1][$anzTeamName],
                                   $spTag,
                                   $favHeimGast,
                                   $arrHead[conHEAD_FILE],
                                   $nameMannschaft,
                                   $heimTor,
                                   $gastTor,
                                   $begegEnde,
                                   strpos($nameMannschaft, "Md") != 0 ? 1 : 0);
//                  break;
               } // Ende if ... (Im Zeitintervall ?)
            } // Ende if ... (Id's sind 0, wenn Mannschaft zurckgezogen wurde)
          } // Ende if ... (Begenungsende)
      } // Ende for ... (Schleife ber alle Spieltage)
   }


   function GetStKey($xVar)
   {
      return strtoupper(chop(substr($xVar, 0, strpos($xVar, "="))));
   }


   function GetStKey2($xVar)
   {
      return strtoupper(chop(substr($xVar, 0, 2)));
   }


   function GetStValue($xVar)
   {
      return (chop(substr($xVar, strpos($xVar, "=") + 1)));
   }

   // Generiert Kurznamen
   function MakeStShortName($name)
   {
      // -------------------------------------------------------------
      // Hier knnen noch weitere Ausschlukriterien angegeben werden.
      // Eingabe in GROSSBUCHSTABEN !!!
      $arrAusschluss = array("TSV", "VFL", "1.FC", "1. FC", "HSG", "SSV", "VFB", "EINTRACHT");
      // -------------------------------------------------------------

      // String in Array
      $arrErgeb = explode(" ", $name);
      $dummy = "";

      // Array durchlaufen
      for($i = 0; $i < sizeof($arrErgeb); $i++)
      {
         $arrErgeb[$i] = chop($arrErgeb[$i]);
         if ($arrErgeb[$i] == "I" || $arrErgeb[$i] == "II" || $arrErgeb[$i] == "III" ||
             $arrErgeb[$i] == "1" || $arrErgeb[$i] == "2"  || $arrErgeb[$i] == "3")
         {
            $dummy = " " . $arrErgeb[$i];
         }
         // Ausschlu-Array
         if (in_array(strtoupper($arrErgeb[$i]), $arrAusschluss))
         {
            array_splice($arrErgeb, $i, 1);
         }

         // Lnge
         if (strlen($arrErgeb[$i]) <= 2)
         {
            array_splice($arrErgeb, $i, 1);
         }
      } // Ende for ... (Array durchlaufen)

      // Sortieren
      usort($arrErgeb, "vglStFunc");
      // 1. Array-Element zurck
      return $arrErgeb[0] . $dummy;
   }

   function vglStFunc($a, $b)
   {
      // Numerische Werte nach oben, wenn nicht gewnscht -> auskommentieren und
      // else wech
      if (is_numeric($b))
      { return($b < $a); }
      // Lngere String zuerst, dann unteres auskommentieren
      else
      { return(strlen($a) < strlen($b)); }
      // krzere String zuerst, dann obiges auskommentieren
      //else
      //    { return(strlen($a) > strlen($b)); }
   }
?>