<?php
   // =================================
   // Steuerdatei fr das lmo_ped-Paket
   // =================================
   // Aktueller Pfad holen (frs Testen unter Windows werden / mit \ ersetzt
   $aktPfad = str_replace("\\", "/", dirname(__File__));
   // Steuervariable
   $action      = "";
   // Sortierung bei Spieltagen
   $sort        = 1;
   // Pfad-Variable, z.B. fr Mannschafts-Script
   $pfad        = "";

   // =======================
   // bergabeparameter holen
   // =======================
   if (isset($_REQUEST['action']))
   {
      $action = $_REQUEST['action'];
   }

   if (isset($_REQUEST['sort']))
   {
      $sort = (int)$_REQUEST['sort'];
   }
   if (isset($_REQUEST['pfad']))
   {
      $pfad = $_REQUEST['pfad'];
   }

   // ===================
   // ini-Datei einbinden
   // ===================
   include($aktPfad . "/lmo_ped_ini.php");

   // =====================
   // Hintergrund einbinden
   // =====================
   if (file_exists($backPicture))
   {
      require_once($backPicture);
   }

   // ===========================
   // $action-Parameter auswerten
   // ===========================
   switch ($action)
   {
   // Aktuelle Tabelle
   case "aktTabelle":
      include($aktPfad . "/lmo_akt_tabelle.php");
      ZeigeAktuelleTabelle($mode);
      break;
   // Spezielle Anzeige der aktuelle Tabelle
   case "aktTabelleSpez":
      break;
   // Blitztabelle
   case "blitzTabelle":
      require($aktPfad . "/lmo_blitztabelle.php");
      ZeigeBlitzTabelle($mode);
//      ZeigeBlitzTabelle($mode, 1, "B-LS2.l98");
//      ZeigeBlitzTabelle($mode, 1, "A-Q4.l98");
      break;
   // Mannschaftsanzeige
   case "mannschaft":
      if ($pfad != "")
      {
         require($aktPfad . "/lmo_mannschaft.php");
         ZeigeMannschaft($pfad);
      }
      break;
   // Spiel der Woche
   case "spielWoche":
      include($aktPfad . "/lmo_spieltag.php");
      ZeigeSpielTag(99, $sort);
      break;
   // Letzten Spiele
   case "letztenSpiele":
      include($aktPfad . "/lmo_spieltag.php");
      ZeigeSpielTag(-1, $sort);
      break;
   // Nchsten Spiele
   case "naechstSpiele":
      include($aktPfad . "/lmo_spieltag.php");
      ZeigeSpielTag(0, $sort);
      break;
   // Spielverlegung
   case "spielVerleg":
      include($aktPfad . "/lmo_spielverlegung.php");
      ZeigeSpielVerleg();
      break;
   // Statistik
   case "statistik":
      require($aktPfad . "/lmo_statistik.php");
//      ZeigeStatistik($pfad);
      break;
   // Startbildschirm
   default:
      include($aktPfad . "/lmo_akt_tabelle.php");
      ZeigeAktuelleTabelle();
      echo "<br>";
      include($aktPfad . "/lmo_spieltag.php");
      ZeigeSpielTag(-1, -1);
   }
?>