<?php
   // =========================================================================
   // lmo_spieleverlegung.php
   // =========================================================================
    function ZeigeSpielVerleg($art       = 2,
                              $incFile   = "lmo_ped_dat.inc",
                              $incMann   = "lmo_ped_mann.inc",
                              $paraFile  = "lmo_std_para_sv.php",
                              $cssFile   = "lmo_ped_css.php")
    {
//include_once("../tools/print_v.php");
      // =====================================================================
      // Parameter setzen
      // ---------------------------------------------------------------------
      // Aktueller Pfad basteln
      $aktPfad = str_replace("\\", "/", dirname(__File__));
      // ---------------------------------------------------------------------
      // ini-File einlesen
      include($aktPfad . "/lmo_ped_ini.php");
      // Parameter einlesen
      include($arrIni["pfadInc"] . "lmo_set_parameter.php");
      // -------------------------------------------------------------------------

      // ---------------------------------------------------------------------
      // Ligen, Mannschaften und Favoriten einlesen
      if ($art == 2)
      {
         include($arrIni["pfadInc"] . "lmo_lese_ligen.php");
      }
      // ---------------------------------------------------------------------
      // Deutsches Wochentags-Array
      $arrWochenTag = array("So, ", "Mo, ", "Di, " , "Mi, ", "Do, ", "Fr, ",
                            "Sa, ");

      $arrIntervall[0] = $anzahlTageVor;
      $arrIntervall[1] = $anzahlTageNach;

      echo "<table align=" . $arrPara["alignTable"] . ">";
         echo "<tr>";
            echo "<th colspan=" . $arrPara["tabBreite"] .
                 "    align="   . $arrPara["alignTitel"] . ">";
               echo "Spiel-Verlegungen";
            echo "</th>";
         echo "</tr>";

         // Array fllen:
         switch ($art)
         {
            // 1 = Einzelmannschaft, $incFile = einzelnes Ergebnis-File
            case 1:
            {
               break;
            } // Ende case 1:
            // 2 = mehrere Mannschaften, $incFile = Datei mit Ligen
            case 2:
            {
               $luecke = 0;
               // Einlesen der Tabellen
               for ($i = 0; $i < sizeof($arrLigaFile); $i++)
               {
                  $arrHead      = NULL;
                  $arrTeam      = NULL;
                  $arrStatistik = NULL;
                  $arrVerlauf   = NULL;
                  $arrTabPlatz  = NULL;
                  $tabFile      = $aktPfad . "/data/" . basename($arrLigaFile[$i],".l98") . ".php";

                  include_once($arrIni["pfadInc"] . "lmo_sv_func.php");
                  GetSvData($arrLigaFile[$i], &$arrHead, &$arrTeam, &$arrStatistik,
                            &$arrVerlauf, &$arrTabPlatz, $arrIntervall);

                  // Sind berhaupt Spieleverlegungen vorhanden ?
                  if (sizeof($arrStatistik) > 0)
                  {
                     // Lcke vor Mdels
                     if (strpos($arrMann[$i][0], "Md") != 0 && $luecke == 0)
                     {
                        echo "<tr>";
                           echo "<td colspan=" . $arrPara["tabBreite"] .
                                "    style='border:none;background:#FFFFFF'>";
                              echo "&nbsp;";
                           echo "</td>";
                        echo "</tr>";
                        $luecke = 1;
                     } // ende if ... (Lcke vor Mdels)
                     if ($arrPara["anzLiga"] == 1)
                     {
                        echo "<tr>";
                           echo "<td colspan=" . $arrPara["tabBreite"] .
                                "    align="   . $arrPara["alignZeile2Name"] . " class='Zeile2'>";
                              echo $arrMann[$i][0];
                           echo "</td>";
                        echo "</tr>";
                     }
                     // Anzeige
                     // -------
                     for ($j = 0; $j < sizeof($arrStatistik); $j++)
                     {
                        echo "<tr>";
                           $backColor = $arrPara["cellBkColor"];
                           // Spieltag
                           echo "<td align='left' style='background:$backColor;'>";
                              echo "<a style='font-size:".  $arrPara["fontSize"] . ";' href=" . $arrIni["pfadLMO"] . "lmo.php?file=" . $arrHead[conHEAD_FILE] . "&action=results&st=" . $arrStatistik[$j][4] . " target='_self' title='Tabelle/Begegnungen des " . $arrStatistik[$j][4] . ". Spieltages anzeigen'>";
                                 echo "Spieltag " . $arrStatistik[$j][4];
                              echo "</a>";
                           echo "</td>";
                           // Datum
                           echo "<td align='center' style='background:$backColor;'>";
                              echo $arrWochenTag[date("w", $arrStatistik[$j][0])] .
                                   date("d.m.Y", $arrStatistik[$j][0]);
                           echo "</td>";
                           // verlegt auf
                           echo "<td align='left' style='background:$backColor;'>";
                              echo "verlegt auf";
                           echo "</td>";
                           // Verlegt-Datum
                           echo "<td align='center' style='background:$backColor;'>";
                              echo $arrWochenTag[date("w", $arrStatistik[$j][3])] .
                                   date("d.m.Y", $arrStatistik[$j][3]);
                           echo "</td>";
                           echo "<td align='left' style='background:$backColor;'>";
                              if ($arrPara["anzFavorit"] &&
                                  $arrStatistik[$j][1] + 1 == $arrHead[conHEAD_FAV_TEAM])
                              {
                                 echo "<b>";
                              }
                              echo $arrTeam[$arrStatistik[$j][1]][$arrPara["anzTeamName"]];
                              if ($arrPara["anzFavorit"] &&
                                  $arrStatistik[$j][1] + 1 == $arrHead[conHEAD_FAV_TEAM])
                              {
                                 echo "</b>";
                              }
                           echo "</td>";
                           echo "<td align='center' style='background:$backColor;'>";
                              echo "-";
                           echo "</td>";
                           echo "<td align='left' style='background:$backColor;'>";
                              if ($arrPara["anzFavorit"] &&
                                  $arrStatistik[$j][2] + 1 == $arrHead[conHEAD_FAV_TEAM])
                              {
                                 echo "<b>";
                              }
                              echo $arrTeam[$arrStatistik[$j][2]][$arrPara["anzTeamName"]];
                              if ($arrPara["anzFavorit"] &&
                                  $arrStatistik[$j][2] + 1 == $arrHead[conHEAD_FAV_TEAM])
                              {
                                 echo "<b>";
                              }
                           echo "</td>";
                        echo "</tr>";
                     } // Ende for ... (Anzeige)
                     // Lcke nur bis zur vorletzten Liga
                     if ($i < sizeof($arrLigaFile) - 1)
                     {
                        echo "<tr>";
                           echo "<td colspan=" . $arrPara["tabBreite"] . "style='border-style:none;'>";
                           echo "</td>";
                        echo "</tr>";
                     } // Ende if ... (Lcke nur bis zur vorletzten Liga)
                  } // Ende if ... (Sind berhaupt Spieleverlegungen vorhanden ?)
               } // Ende for ... Einlesen der Tabellen
               break;
            } // Ende case 2:
         } // Ende switch
         // Copyrights
         require($pedCopyRight);
      echo "</table>";
   }
?>