<?php
   // Funktionen zur Datengenerierung
   // Benutzt von: lmo_spieltag.php

   function GetSvData($ligaFile, &$arrHead, &$arrTeam, &$arrStatistik,
                      &$arrVerlauf, &$arrTabPlatz, $arrIntervall)
   {
      // Datei komplett einlesen
    	$arrFile       = file($ligaFile);
      $sizeOfArrFile = sizeof($arrFile);

      // Header-Array vorbelegen
      for ($i = 0; $i <= conHEAD_LAENGE; $i++)
      {
         $arrHead[$i] = 0;
      }
      $arrHead[conHEAD_FILE] = $ligaFile;
        // "Header" einlesen
    	for ($i = 0; $i < $sizeOfArrFile; $i++)
      {
         $arrFile[$i] = chop($arrFile[$i]);
    		if (GetSvKey($arrFile[$i]) == "NAME")
         {
            $arrHead[conHEAD_NAME] = GetSvValue($arrFile[$i]);
         }
    		if (GetSvKey($arrFile[$i]) == "TYPE")
         {
            $arrHead[conHEAD_TYPE] = (int)GetSvValue($arrFile[$i]);
         }
    		if (GetSvKey($arrFile[$i]) == "TEAMS")
    		{
            $arrHead[conHEAD_TEAMS] = (int)GetSvValue($arrFile[$i]);
         }
    		if (GetSvKey($arrFile[$i]) == "ROUNDS")
    		{
            $arrHead[conHEAD_ROUNDS] = (int)GetSvValue($arrFile[$i]);
         }
    		if (GetSvKey($arrFile[$i]) == "MATCHES")
    		{
            $arrHead[conHEAD_MATCHES] = (int)GetSvValue($arrFile[$i]);
         }
    		if (GetSvKey($arrFile[$i]) == "ACTUAL")
    		{
            $arrHead[conHEAD_ACTUAL] = (int)GetSvValue($arrFile[$i]);
         }
    		if (GetSvKey($arrFile[$i]) == "KEGEL")
    		{
            $arrHead[conHEAD_KEGEL] = (int)GetSvValue($arrFile[$i]);
         }
    		if (GetSvKey($arrFile[$i]) == "POINTSFORWIN")
    		{
            $arrHead[conHEAD_PONTS_FOR_WIN] = (int)GetSvValue($arrFile[$i]);
         }
    		if (GetSvKey($arrFile[$i]) == "POINTSFORDRAW")
    		{
            $arrHead[conHEAD_PONTS_FOR_DRAW] = (int)GetSvValue($arrFile[$i]);
         }
    		if (GetSvKey($arrFile[$i]) == "POINTSFORLOST")
    		{
            $arrHead[conHEAD_PONTS_FOR_LOST] = (int)GetSvValue($arrFile[$i]);
         }
    		if (GetSvKey($arrFile[$i]) == "SPEZ")
    		{
            $arrHead[conHEAD_SPEZ] = (int)GetSvValue($arrFile[$i]);
         }
    		if (GetSvKey($arrFile[$i]) == "HIDEDRAW")
    		{
            $arrHead[conHEAD_HIDE_DRAW] = (int)GetSvValue($arrFile[$i]);
         }
    		if (GetSvKey($arrFile[$i]) == "XTRAS")
    		{
            $arrHead[conHEAD_XTRAS] = (int)GetSvValue($arrFile[$i]);
         }
    		if (GetSvKey($arrFile[$i]) == "XTRAU")
    		{
            $arrHead[conHEAD_XTRAU] = (int)GetSvValue($arrFile[$i]);
         }
    		if (GetSvKey($arrFile[$i]) == "XTRAV")
    		{
            $arrHead[conHEAD_XTRAV] = (int)GetSvValue($arrFile[$i]);
         }
    		if (GetSvKey($arrFile[$i]) == "SPEZS")
    		{
            $arrHead[conHEAD_SPEZS] = (int)GetSvValue($arrFile[$i]);
         }
    		if (GetSvKey($arrFile[$i]) == "SPEZU")
    		{
            $arrHead[conHEAD_SPEZU] = (int)GetSvValue($arrFile[$i]);
         }
    		if (GetSvKey($arrFile[$i]) == "SPEZV")
    		{
            $arrHead[conHEAD_SPEZV] = (int)GetSvValue($arrFile[$i]);
         }
    		if (GetSvKey($arrFile[$i]) == "MINUSPOINTS")
    		{
            $arrHead[conHEAD_MINUS_POINTS] = (int)GetSvValue($arrFile[$i]);
         }
    		if (GetSvKey($arrFile[$i]) == "DIRECT")
    		{
            $arrHead[conHEAD_DIRECT] = (int)GetSvValue($arrFile[$i]);
         }
    		if (GetSvKey($arrFile[$i]) == "CHAMP")
    		{
            $arrHead[conHEAD_CHAMP] = (int)GetSvValue($arrFile[$i]);
         }
    		if (GetSvKey($arrFile[$i]) == "CL")
    		{
            $arrHead[conHEAD_CL] = (int)GetSvValue($arrFile[$i]);
         }
    		if (GetSvKey($arrFile[$i]) == "CK")
    		{
            $arrHead[conHEAD_CK] = (int)GetSvValue($arrFile[$i]);
         }
    		if (GetSvKey($arrFile[$i]) == "UC")
    		{
            $arrHead[conHEAD_UC] = (int)GetSvValue($arrFile[$i]);
         }
    		if (GetSvKey($arrFile[$i]) == "AR")
    		{
            $arrHead[conHEAD_AR] = (int)GetSvValue($arrFile[$i]);
         }
    		if (GetSvKey($arrFile[$i]) == "AB")
    		{
            $arrHead[conHEAD_AB] = (int)GetSvValue($arrFile[$i]);
         }
    		if (GetSvKey($arrFile[$i]) == "NAMEPKT")
    		{
            $arrHead[conHEAD_NAME_PKT] = GetSvValue($arrFile[$i]);
         }
    		if (GetSvKey($arrFile[$i]) == "NAMETOR")
    		{
            $arrHead[conHEAD_NAME_TOR] = GetSvValue($arrFile[$i]);
         }
         if (GetSvKey($arrFile[$i]) == "FAVTEAM")
    		{
            $arrHead[conHEAD_FAV_TEAM] = (int)GetSvValue($arrFile[$i]);
         }
         if ($arrFile[$i] == "[Teams]")
         {
            $i++;
            for ($j = 0; $j < $arrHead[conHEAD_TEAMS]; $j++)
            {
               $arrTeam[$j][0] = GetSvValue($arrFile[$i++]);
            }
         }
         if ($arrFile[$i] == "[Teamk]")
         {
            $i++;
            for ($j = 0; $j < $arrHead[conHEAD_TEAMS]; $j++)
            {
               $arrTeam[$j][1] = GetSvValue($arrFile[$i++]);
               $arrTeam[$j][2] = MakeSvShortName($arrTeam[$j][0]);
            }
            break;
         }
      }

      // Einlesen der Sonstigen Mannschafts-Infos
      $start  = $i;
      $teamNr = -1;
/*
      for ($i = 0; $i <= $arrHead[conHEAD_TEAMS]; $i++)
      {
         for ($j = 0; $j <= conSTAT_HEADER; $j++)
         {
            $arrStatistik[$i][$j] = 0;
         }
         $arrStatistik[$i][conSTAT_SERIE] = "";
      }
*/
      for ($i = $start; $i < $sizeOfArrFile; $i++)
      {
         $arrFile[$i] = chop($arrFile[$i]);
         if (substr($arrFile[$i], 0, 5) == "[Team")
         {
            $i++;
            $teamNr++;
         }
         if (GetSvKey($arrFile[$i]) == "SP")
    		{
//            $arrStatistik[$teamNr][conSTAT_PKT_STRAFE] = (int)GetSvValue($arrFile[$i]);
            $i++;
    		}
         if (GetSvKey($arrFile[$i]) == "SM")
    		{
//            $arrStatistik[$teamNr][conSTAT_PKT_STRAFE] = (int)GetSvValue($arrFile[$i]);
            $i++;
    		}
         if (GetSvKey($arrFile[$i]) == "URL")
    		{
//            $arrStatistik[$teamNr][conSTAT_MANN_URL] = chop(GetSvValue($arrFile[$i]));
            $i++;
    		}
         if (GetSvKey($arrFile[$i]) == "NOT")
    		{
//            $arrStatistik[$teamNr][conSTAT_MANN_NOTIZ] = chop(GetSvValue($arrFile[$i]));
            $i++;
    		}
         if ($arrFile[$i] == "[Round1]")
    		{
            break;
    		}
      }
      $start  = $i;
      $spTag  = 0;
      // Schleife ber alle Spieltage
      for ($i = $start; $i < $sizeOfArrFile; $i++)
      {
         $arrFile[$i] = chop($arrFile[$i]);
         // Anfang Spieltag
         if (substr($arrFile[$i], 0, 6) == "[Round")
         {
            $spTagBeginn  = 0;
            $spTagEnde    = 0;
            $heimID       = 0;
            $gastID       = 0;
            $heimTor      = 0;
            $gastTor      = 0;
            $i++;
            $spTag++;
         } // Ende if ... (Anfang Spieltag)

         // Keys einlesen
         if (GetSvKey2($arrFile[$i]) == "D1")
    		{
            $arrSpTagBeg = explode(".", GetSvValue($arrFile[$i]));
            $spTagBeginn = mktime(0, 0, 0, $arrSpTagBeg[1], $arrSpTagBeg[0], $arrSpTagBeg[2]);
    		}
         if (GetSvKey2($arrFile[$i]) == "D2")
    		{
            $spTagEnde = (int)GetSvValue($arrFile[$i]);
            if ($spTagEnde == "")
            {
               $spTagEnde = $spTagBeginn;
            }
    		}
         if (GetSvKey2($arrFile[$i]) == "TA")
    		{
            $heimID = (int)GetSvValue($arrFile[$i]);
    		}
         if (GetSvKey2($arrFile[$i]) == "TB")
    		{
            $gastID = (int)GetSvValue($arrFile[$i]);
    		}
         if (GetSvKey2($arrFile[$i]) == "GA")
    		{
            $heimTor = (int)GetSvValue($arrFile[$i]);
    		}
         if (GetSvKey2($arrFile[$i]) == "GB")
    		{
            $gastTor = (int)GetSvValue($arrFile[$i]);
    		}
         if (GetSvKey2($arrFile[$i]) == "ET")
    		{
            $sportGericht = (int)GetSvValue($arrFile[$i]);
    		}
         if (GetSvKey2($arrFile[$i]) == "SP")
    		{
            $spielEnde = (int)GetSvValue($arrFile[$i]);
    		}
    		// Begenungsende
         if (GetSvKey2($arrFile[$i]) == "AT")
         {
            // Id's sind 0, wenn Mannschaft zurckgezogen wurde
            if ($heimID != 0 && $gastID != 0)
            {
               $begegAT = (int)GetSvValue($arrFile[$i]);
               // Anspielzeit auf  00:00 setzen
               $begegZeit = mktime(0, 0, 0, date("m", $begegAT),
                                            date("d", $begegAT),
                                            date("Y", $begegAT));
               // Anspielzeit auf Tag - Intervall, 00:00 setzen
               $begegAnf  = mktime(0, 0, 0, date("m", $spTagBeginn),
                                            date("d", $spTagBeginn) - $arrIntervall[0],
                                            date("Y", $spTagBeginn));
               // Anspielzeit auf Tag + Intervall, 00:00 setzen
               $begegEnde = mktime(0, 0, 0, date("m", $spTagBeginn),
                                            date("d", $spTagBeginn) + $arrIntervall[1],
                                            date("Y", $spTagBeginn));
               // Im Zeitintervall ?
               if (($begegZeit < $begegAnf || $begegZeit > $begegEnde) &&
                   ($heimTor == -1 && $gastTor == -1) &&
                   ($heimID  == $arrHead[conHEAD_FAV_TEAM] ||
                    $gastID  == $arrHead[conHEAD_FAV_TEAM]))
               {
                  //                           0             1            2           3       4
                  $arrStatistik[] = array($spTagBeginn, $heimID - 1, $gastID - 1, $begegAT, $spTag);
               } // Ende if ... (Im Zeitintervall ?)
            } // Ende if ... (Id's sind 0, wenn Mannschaft zurckgezogen wurde)
          } // Ende if ... (Begenungsende)
      } // Ende for ... (Schleife ber alle Spieltage)
   }


   function GetSvKey($xVar)
   {
      return strtoupper(chop(substr($xVar, 0, strpos($xVar, "="))));
   }


   function GetSvKey2($xVar)
   {
      return strtoupper(chop(substr($xVar, 0, 2)));
   }


   function GetSvValue($xVar)
   {
      return (chop(substr($xVar, strpos($xVar, "=") + 1)));
   }

   // Generiert Kurznamen
   function MakeSvShortName($name)
   {
      // -------------------------------------------------------------
      // Hier knnen noch weitere Ausschlukriterien angegeben werden.
      // Eingabe in GROSSBUCHSTABEN !!!
      $arrAusschluss = array("TSV", "VFL", "1.FC", "1. FC", "HSG", "SSV", "VFB", "EINTRACHT");
      // -------------------------------------------------------------

      // String in Array
      $arrErgeb = explode(" ", $name);
      $dummy = "";

      // Array durchlaufen
      for($i = 0; $i < sizeof($arrErgeb); $i++)
      {
         $arrErgeb[$i] = chop($arrErgeb[$i]);
         if ($arrErgeb[$i] == "I" || $arrErgeb[$i] == "II" || $arrErgeb[$i] == "III" ||
             $arrErgeb[$i] == "1" || $arrErgeb[$i] == "2"  || $arrErgeb[$i] == "3")
         {
            $dummy = " " . $arrErgeb[$i];
         }
         // Ausschlu-Array
         if (in_array(strtoupper($arrErgeb[$i]), $arrAusschluss))
         {
            array_splice($arrErgeb, $i, 1);
         }

         // Lnge
         if (strlen($arrErgeb[$i]) <= 2)
         {
            array_splice($arrErgeb, $i, 1);
         }
      } // Ende for ... (Array durchlaufen)

      // Sortieren
      usort($arrErgeb, "vglSvFunc");
      // 1. Array-Element zurck
      return $arrErgeb[0] . $dummy;
   }

   function vglSvFunc($a, $b)
   {
      // Numerische Werte nach oben, wenn nicht gewnscht -> auskommentieren und
      // else wech
      if (is_numeric($b))
      { return($b < $a); }
      // Lngere String zuerst, dann unteres auskommentieren
      else
      { return(strlen($a) < strlen($b)); }
      // krzere String zuerst, dann obiges auskommentieren
      //else
      //    { return(strlen($a) > strlen($b)); }
   }
?>