<?php

   function ZeigeMannschaft($pfad)
   {
      // Aktueller Pfad basteln
      $aktPfad = str_replace("\\", "/", dirname(__File__));
      // ini-File einlesen
      include($aktPfad . "/lmo_ped_ini.php");
      // Slashes
      if (substr($pfad, -1) != "/")
      {
         $pfad = $pfad . "/";
      }
      $bildPfad      = $pfad;
      $pfad          = $arrIni["mannDir"] . $pfad;
      $titel         = GetSection($pfad . "mannschaft.txt", "[Titel]");
      $arrMannschaft = GetSection($pfad . "mannschaft.txt", "[Mannschaft]");
      $arrTrainer    = GetSection($pfad . "mannschaft.txt", "[Trainer]");
      $arrMannschaft = array_merge($arrMannschaft, $arrTrainer);
      $arrBild       = array();
      $arrTemp       = array();
      $arrText       = array();
      $verz          = dir($pfad);

      while($entry = $verz->read())
      {
         // Extension filtern
         $ext = strtolower(substr($entry, -4));
         // Bild ?
         if ($ext == ".gif" || $ext == ".jpg")
         {
//            $arrBild[] = $arrIni["mannDir"] . $entry;
            $arrBild[] = "mannschaften/" . $pfadSaison . $bildPfad . $entry;
//echo "mannschaften/" . $pfadSaison . $bildPfad . $entry;
            $arrTemp[] = $entry;
         }
         // Text zum Bild (mu gleichen Namen haben wie Bild, Extendion .txt)
         if ($ext == ".txt")
         {
            foreach($arrTemp as $pic)
            {
               if (substr($pic, 0, strpos($pic, ".")) == substr($entry, 0, strpos($entry, ".")))
               {
                  $arrText[] = $pfad . $entry;
               }
            }
         }
      }
      $verz->close();

      sort($arrBild);
      sort($arrText);

      showIt($arrMannschaft, $titel[0], $arrBild, $arrText);
   }

   // Funktionen
   function showIt($arr, $title, $arrBild, $arrText)
   {
      if ($title != "")
      {
         $bildNr    = 1;
         $anzBilder = sizeof($arrBild);

         echo "<div align='center'></p>";
            echo "<font face='Arial' size='5' color='#FF0080'>";
               echo $title;
               if ($anzBilder > 0)
               {
                  echo "<font face='Arial' size='2'>";
                     echo "<a href='#bilder' name='anfang'>";
                        if ($anzBilder == 1)
                        {
                           echo "<br>[Zum Bild]</a>";
                        }
                        else
                        {
                           echo "<br>[Zu den Bildern]</a>";
                        }
                     echo "</a>";
                     echo "<br>";
                     echo "<br>";
                  echo "</font>";
               }
            echo "</font>";
         echo "</div>";
      }
      echo "<div align='center'>";
         echo "<table border='0' width='300' cellspacing='0' cellpadding='0'>";
            for ($i = 0; $i < sizeof($arr); $i++)
            {
               createTable($arr[$i]);
            }
         echo "</table>";
         // Bilder da ?
         if ($anzBilder != 0)
         {
            echo "<font face='Arial' size='2'>";
               echo "<a href='#anfang' name='bilder'>";
                  echo "[Zur Mannschaft]";
               echo "</a>";
            echo "</font>";
            echo "<table border='0' width='300' cellspacing='0' cellpadding='0'>";
               $i   = 0;
               $len = sizeof($arrText);
               foreach($arrBild as $bild)
               {
                  echo "<tr>";
                     echo "<td>";
                        echo "<img src=\"" . $bild . "\">";
                     echo "</td>";
                  echo "</tr>";
                  if ($i < $len)
                  {
                     echo "<tr>";
                        echo "<td>";
                           $arrTxt = file($arrText[$i]);
                           echo "<font face='Arial' size='1'>";
                              foreach($arrTxt as $txt)
                              {
                                 echo $txt . "<br>";
                              }
                           echo "</font>";
                           echo "</td>";
                     echo "</tr>";
                  }
                  $i++;
               }
            echo "</table>";
         } // Ende if ... (Bilder da ?)
      echo "</div>";
   }
    
    
   function createTable($arr)
   {
      $bc = '#8080FF';
      // 1. Zeile
      echo "<tr>";
         echo "<td width='5%' rowspan='2' style='border-top-style: solid; " .
              "border-width:1px; border-color: $bc'>";
            echo "<p align='center'><b><font size='5'>";
               if ($arr[0] != 0)
               {
                  echo $arr[0];
               }
               else
               {
                  echo "&nbsp;";
               }
            echo "&nbsp;</font></b></p>";
         echo "</td>";
         echo "<td width='95%' style='border-top-style: solid; " .
              "border-width:1px; border-color: $bc'>";
            echo "<font face='Arial' size='3'>";
               echo $arr[2] . " " . $arr[1];
            echo "</font>";
         echo "</td>";
      echo "</tr>";
      // 2. Zeile
      echo "<tr>";
         echo "<td width='95%'>";
            echo "<font face='Arial' size='2'>";
               echo $arr[4];
            echo "</font>";
         echo "</td>";
      echo "</tr>";
   }


   function GetSection($fileName, $sectionName)
   {
      $arrFile = file($fileName);
      $sizeOfArrFile = sizeof($arrFile);
    	for ($i = 0; $i < $sizeOfArrFile; $i++)
      {
      // Kommentar-Zeilen berspringen
         if (!isComment($arrFile[$i]))
         {
            $j = 0;
            if (strtoupper(chop($arrFile[$i])) == strtoupper($sectionName))
            {
               $i += 1;
               for ($j = $i; $j < $sizeOfArrFile; $j++)
               {
                  // Nchste Sektion
                  if (substr($arrFile[$j], 0, 1) == "[")
                  {
                     break;
                  }
                  // Kommentar-Zeilen berspringen
                  if (!isComment($arrFile[$j]))
                  {
                     // Ist ein Komma drin
                     if (strpos($arrFile[$j], ",") != 0)
                     {
                        $arrKeys[] = explode(",", $arrFile[$j]);
                     }
                     else
                     {
                        $arrKeys[] = chop($arrFile[$j]);
                     }
                  }
               }
            }
         }
      }
      return $arrKeys;
   }

   function isComment($value)
   {
      $flRet = false;
      if (substr($value, 0, 2) == "//" || chop($value) == "")
      {
         $flRet = true;
      }
      return $flRet;
   }
?>