<?php
   // =========================================================================
   // lmo_zeigespieltag.php
   // =========================================================================
   function ZeigeSpielTag($anzSpiele = 99,
                          $sort      = 0,
                          $art       = 2,
                          $incFile   = "lmo_ped_dat.inc",
                          $incMann   = "lmo_ped_mann.inc",
                          $paraFile  = "lmo_std_para_st.php",
                          $cssFile   = "lmo_ped_css.php"
                          )
   {
//include("../tools/print_v.php");
      // =====================================================================
      // Parameter setzen
      // ---------------------------------------------------------------------
      // Aktueller Pfad basteln
      $aktPfad = str_replace("\\", "/", dirname(__File__));
      // ---------------------------------------------------------------------
      // ini-File einlesen
      include($aktPfad . "/lmo_ped_ini.php");
      // Parameter einlesen
      include($arrIni["pfadInc"] . "lmo_set_parameter.php");
      // -------------------------------------------------------------------------

      // ---------------------------------------------------------------------
      // Ligen, Mannschaften und Favoriten einlesen
      if ($art == 2)
      {
         include($arrIni["pfadInc"] . "lmo_lese_ligen.php");
      }
      // ---------------------------------------------------------------------
      // Aktuelles Datum minus Tage bis zum letzten Montag in Unix-Format umwandeln
      $aktDate = mktime(0, 0, 0, date("m"), date("d") + 1 - date("w"), date("Y"));
      $arrIntervall[0] = $aktDate;
      switch ($anzSpiele)

      {
         case 0:
         {
            // Aktuelles Datum plus Tage bis zum nchsten Sonntag in Unix-Format umwandeln
            $arrIntervall[0] = mktime(0, 0, 0, date("m"), date("d"), date("Y"));
            $aktDate = mktime(0, 0, 0, date("m"), date("d") + 6 - date("w") + 8, date("Y"));
//echo date("d.m.Y", $aktDate) . "<br>";
//echo date("d.m.Y", $arrIntervall[0]) . "<br>";
            break;
         }
         case -1:
         {
            $aktDate = mktime(0, 0, 0, date("m"), date("d"), date("Y"));
            $arrIntervall[0] = mktime(0, 0, 0, date("m"), date("d") + 1 - date("w") - 3, date("Y"));
            break;
         }
         case 99:
         {
            $aktDate = mktime(0, 0, 0, date("m"), date("d") + 7 - date("w"), date("Y"));
            break;
         }
      }
      $arrIntervall[1] = $aktDate;
      // Deutsches Wochentags-Array
      $arrWochenTag = array("So, ", "Mo, ", "Di, " , "Mi, ", "Do, ", "Fr, ",
                            "Sa, ");

      echo "<table align=" . $arrPara["alignTable"] . ">";
         echo "<tr>";
            echo "<th colspan=" . ($arrPara["tabBreite"]) .
                 "    align="   . $arrPara["alignTitel"] . ">";
               switch ($anzSpiele)
               {
                  case 0:
                  {
                     echo "Die nchsten Spiele";
                     $actionStr = "naechstSpiele";
                     break;
                  }
                  case -1:
                  {
                     echo "Die letzten Spiele";
                     $actionStr = "letztenSpiele";
                     break;
                  }
                  case 99:
                  {
                     echo "Spiele der Woche";
                     $actionStr = "spielWoche";
                     break;
                  }
               }
/*
               if ($anzSpiele != -1)
               {
                  echo "<div style='font-size:9px;'>";
                     echo "(Stand: " . $arrWochenTag[date("w")] . date("d.m.Y - H:i") . " Uhr)";
                  echo "</div>";
               }
               else
*/
               {
                  echo "<div style='font-size:9px;'>";
                     echo "(" .
                          $arrWochenTag[date("w", $arrIntervall[0])] .
                          date("d.m.Y", $arrIntervall[0]) .
                          " - ";
                     switch ($anzSpiele)
                     {
                        case 0:
                        case 99:
                        {
                           echo $arrWochenTag[date("w", $aktDate)] . date("d.m.Y", $aktDate) . ")";
                           break;
                        }
                        case -1:
                        {
                           echo $arrWochenTag[date("w")] . date("d.m.Y") . ")";
                           break;
                        }
                     }
                  echo "</div>";
               }
            echo "</th>";
         echo "</tr>";

         // Array fllen:
         switch ($art)
         {
            // 1 = Einzelmannschaft, $incFile = einzelnes Ergebnis-File
            case 1:
            {
               break;
            } // Ende case 1:
            // 2 = mehrere Mannschaften, $incFile = Datei mit Ligen
            case 2:
            {
               $arrStatistik = NULL;
               // Einlesen der Tabellen
               for ($i = 0; $i < sizeof($arrLigaFile); $i++)
               {
                  $arrStat      = NULL;
                  $arrHead      = NULL;
                  $arrTeam      = NULL;
                  $arrVerlauf   = NULL;
                  $arrTabPlatz  = NULL;
                  $tabFile      = $aktPfad . "/data/" . basename($arrLigaFile[$i],".l98") . ".php";

                  include_once($arrIni["pfadInc"] . "lmo_st_func.php");
                  GetStData($arrLigaFile[$i], &$arrHead, &$arrTeam, &$arrStat,
                            &$arrVerlauf, &$arrTabPlatz, $arrIntervall,
                            $arrPara['anzTeamName'], $arrMann[$i][0], $anzSpiele);
                            
                  // Werte vorhanden
                  if ((int)$arrStat[0] != 0)
                  {
                     for ($j = 0; $j < sizeof($arrStat); $j++)
                     {
                        $arrStatistik[] = $arrStat[$j];
                     }
                  } // Ende if ... (Werte vorhanden)
               } // Ende for ... Einlesen der Tabellen
//print_v($arrStatistik, "\$arrStatistik");
//die();
               switch ($sort)
               {
                  case -1:
                     // Nach Anfangszeit sortieren
                     if (sizeof($arrStatistik) != 0)
                     {
                        usort($arrStatistik, "sortZeit");
                     }
                     break;
                  case 0:
                     // Nach Mannschaft + Anfangszeit sortieren
                     if (sizeof($arrStatistik) != 0)
                     {
                        usort($arrStatistik, "sortMannZeit");
                     }
                     $back1 = "#FFFFFF";
                     $back2 = "#D5D5FF";
                     $refStr1 = "<a href='lmo_ped.php?action=" .
                                $actionStr .
                                "&sort=1' title='Sortierung nach Datum' style='background:$back1;'>";
                     $refStr2 = "</a>";
                     $refStr3 = "";
                     $refStr4 = "";
                     $sortStr = "Akt. Sortierung ->";
                     break;
                  case 1:
                     // Nach Anfangszeit sortieren
                     if (sizeof($arrStatistik) != 0)
                     {
                        usort($arrStatistik, "sortZeit");
                     }
                     $back1   = "#D5D5FF";
                     $back2   = "#FFFFFF";
                     $refStr1 = "";
                     $refStr2 = "";
                     $refStr3 = "<a href='lmo_ped.php?action=" .
                                $actionStr .
                                "&sort=0' title='Sortierung nach Mannschaft' style='background:$back2;'>";
                     $refStr4 = "</a>";
                     $sortStr = "<- Akt. Sortierung";
                     break;
               }
               
               if ($sort >= 0)
               {
                  echo "<tr>";
                     echo "<td align='center' colspan='2' class='Link' style='background:$back1;'>";
                        echo $refStr1;
                        echo "Nach Datum";
                        echo $refStr2;
                     echo "</td>";
                     echo "<td align='center' colspan=" .
                              ($arrPara["tabBreite"] - 6 - ($anzSpiele == -1 ? 2 : 0)) .
                          "    style='border-style:none;height:16;background:#FFFFFF'>";
                        echo $sortStr;
                     echo "</td>";
                     echo "<td align='center' colspan='" .
                          (4 + ($anzSpiele == -1 ? 2 : 0)) . "' class='Link' style='background:$back2;'>";
                        echo $refStr3;
                        echo "Nach Mannschaft";
                        echo $refStr4;
                     echo "</td>";
                  echo "</tr>";
               }

               // Hhe der Lcke in px
               $hoeheLuecke = "8px";
               // Lcke vor Mdels
               $luecke = 0;
               // Ausgabe
               for ($i = 0; $i < sizeof($arrStatistik); $i++)
               {
                  $luecke = 0;
                  // Lcke vor Mdels
//                  if ($sort == 0 && strpos($arrStatistik[$i][6], "Md") != 0 && $luecke <= 0)
                  if ($sort == 0 && $i > 0 && $arrStatistik[$i][10] == 1 && $arrStatistik[$i - 1][10] != 1)
                  {
                     echo "<tr>";
                        echo "<td colspan=" . $arrPara["tabBreite"] .
                             "    style='border-style:none;height:16;background:#FFFFFF'>";
                        echo "</td>";
                     echo "</tr>";
//                     $luecke = 1;
                  } // ende if ... (Lcke vor Mdels)


                  // Wenn im vorherigen Array der Name gleich war, keine Lcke
                  $nameGleich = false;
                  if ($i > 0 && $arrStatistik[$i][6] == $arrStatistik[$i - 1][6])
                  {
                     $luecke = -1;
                  }
                  if ($i > 0 && $arrStatistik[$i][6] == $arrStatistik[$i - 1][6] &&
                                $arrStatistik[$i][0] == $arrStatistik[$i - 1][0])
                  {
                     $nameGleich = true;
                  }
                  if ($nameGleich == false && $luecke >= 0)
                  {
                     echo "<tr>";
                        echo "<td colspan=" . $arrPara["tabBreite"] .
                             "    style='border-style:none;height:$hoeheLuecke;background:#FFFFFF;'>";
                        echo "</td>";
                     echo "</tr>";
                  }
                  showSTTable($arrStatistik[$i], $arrPara, $arrIni, $arrWochenTag,
                              $anzSpiele, $nameGleich);
               } // Ende for ... (Ausgabe)
               break;
            } // Ende case 2:
         } // Ende switch
         // Lcke vor Copyrights
         echo "<tr>";
            echo "<td colspan=" . $arrPara["tabBreite"] .
                 "    style='border-style:none;height:$hoeheLuecke;background:#FFFFFF;'>";
            echo "</td>";
         echo "</tr>";
         // Copyrights
         require($pedCopyRight);
      echo "</table>";
   }

   function showSTTable($arrStatistik, $arrPara, $arrIni, $arrWochenTag,
                        $anzSpiele, $nameGleich)
   {
      if ($nameGleich == false)
      {
         echo "<tr>";
            // Datum
            echo "<td align='center' colspan='2' class='Zeile2'>";
               echo $arrWochenTag[date("w", $arrStatistik[0])] .
                    date("d.m.Y", $arrStatistik[0]);
            echo "</td>";
            echo "<td colspan=" . ($arrPara["tabBreite"] - 2) .
                 "    align='right' class='Zeile2'>";
               echo $arrStatistik[6];
            echo "</td>";
         // Anzeige
         // -------
         echo "</tr>";
      }
      echo "<tr>";
         $backColor = $arrPara["cellBkColor"];
         // Spieltag
         echo "<td align='left' style='background:$backColor;'>";
               if ($nameGleich == false)
               {
                  echo "<a style='font-size:".  $arrPara["fontSize"] . ";' href=" .
                       $arrIni["pfadLMO"] . "lmo.php?file=" . $arrStatistik[5] .
                       "&action=results&st=" . $arrStatistik[3] .
                       " target='_self' title='Tabelle/Begegnungen des " .
                       $arrStatistik[3] . ". Spieltages anzeigen'>";
                     echo "Spieltag " . $arrStatistik[3];
                  echo "</a>";
               }
               else
               {
                  echo "&nbsp;";
               }
         echo "</td>";
         // Uhrzeit
         echo "<td align='right' style='background:$backColor;'>";
            echo date("H:i", $arrStatistik[0]);
         echo "</td>";
         echo "<td align='left' style='background:$backColor;'>";
            if ($arrPara["anzFavorit"] && $arrStatistik[4] == 1)
            {
               echo "<b>";
            }
            echo $arrStatistik[1];
            if ($arrPara["anzFavorit"] && $arrStatistik[4] == 1)
            {
               echo "</b>";
            }
         echo "</td>";
         echo "<td align='center' style='background:$backColor;'>";
            echo "-";
         echo "</td>";
         echo "<td align='left' style='background:$backColor;'>";
            if ($arrPara["anzFavorit"] && $arrStatistik[4] == 2)
            {
               echo "<b>";
            }
            echo $arrStatistik[2];
            if ($arrPara["anzFavorit"] && $arrStatistik[4] == 2)
            {
               echo "<b>";
            }
         echo "</td>";
         if ($anzSpiele < 0)
         {
            // Heimtore
            echo "<td align='right' style='background:$backColor;'>";
               if ($arrStatistik[7] != -1)
               {
                  echo $arrStatistik[7];
               }
               else
               {
                  echo "-";
               }
            echo "</td>";
            echo "<td align='center' style='background:$backColor;'>";
               echo ":";
            echo "</td>";
            // Gasttore
            echo "<td align='left' style='background:$backColor;'>";
               if ($arrStatistik[8] != -1)
               {
                  echo $arrStatistik[8];
               }
               else
               {
                  echo "-";
               }
            echo "</td>";
         }
      echo "</tr>";
   }


   // functions
   function sortZeit($a, $b)
   {

      //  0: Anstozeit
      //  1: Heim-Mannschaft
      //  2: Gast-Mannschaft
      //  3: Spieltag
      //  4: Favorit (1 = Heim, 2 = Gast)
      //  5: File-Name
      //  6: Mannschaftsname
      //  7: HeimTore
      //  8: GastTore
      //  9: Tag der Begegnung mit Uhrzeit 00:00
      // 10: Kennzeichnung Jungs (0) Mdels (1)

      return($a[9] . $a[6] . $a[0] > $b[9] . $b[6] . $b[0] ? -1 : 1);
//      return($a[9] . $a[0] . $a[6] > $b[9] . $b[0] . $b[6] ? -1 : 1);
   }

   function sortMannZeit($a, $b)
   {

      //  0: Anstozeit
      //  1: Heim-Mannschaft
      //  2: Gast-Mannschaft
      //  3: Spieltag
      //  4: Favorit (1 = Heim, 2 = Gast)
      //  5: File-Name
      //  6: Mannschaftsname
      //  7: HeimTore
      //  8: GastTore
      //  9: Tag der Begegnung mit Uhrzeit 00:00
      // 10: Kennzeichnung Jungs (0) Mdels (1)

//      return($a[9] . $a[6] . $a[0] > $b[9] . $b[6] . $b[0] ? -1 : 1);
//      return($a[10] . $a[6] . $a[0] . $a[9] < $b[10] . $b[6] . $b[0] . $b[9] ? -1 : 1);
      return($a[10] . $a[6] . ($a[0] > $b[0] ? 0 : 1) < $b[10] . $b[6] . ($a[0] > $b[0] ? 1 : 0) ? -1 : 1);
   }
?>